# Uses of Class
org.apache.sysds.runtime.meta.TensorCharacteristics

Packages that use TensorCharacteristics
Package
Description
org.apache.sysds.runtime.util

## Uses of TensorCharacteristics in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util with parameters of type TensorCharacteristics
Modifier and Type
Method
Description
`static long[]`
UtilFunctions.`computeNextTensorIndexes(TensorCharacteristics tc, long[] ix)`
Computes the next tensor indexes array.
`static void`
UtilFunctions.`computeSliceInfo(TensorCharacteristics tc, long[] blockIx, int[] outDims, int[] offset)`
Computes the slice dimensions and offsets for the block slice of another tensor with the size given by `TensorCharacteristics`.
`static long[]`
UtilFunctions.`computeTensorIndexes(TensorCharacteristics tc, long blockIndex)`
Computes the tensor indexes array given a blockIndex we ant to compute.